std::__detector< _Default, _AlwaysVoid, _Op, _Args > Struct Template Reference
Utilities » Metaprogramming

## Public Types

using | type = _Default
using | value_t = false_type

## Detailed Description

### template<typename _Default, typename _AlwaysVoid, template< typename... > class _Op, typename... _Args>
struct std::__detector< _Default, _AlwaysVoid, _Op, _Args >

Implementation of the detection idiom (negative case).

Definition at line 2413 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits